using System;
using System.Linq;
using System.Collections.Generic;
using System.Collections;
using System.Text;
using OpenNETCF.Net.NetworkInformation;

namespace WLANBasic1009
{
    class WLAN
    {

        public WirelessZeroConfigNetworkInterface WZCInterface;
        private Boolean isWzc = new Boolean();
        public List<INetworkInterface> networkNics = new List<INetworkInterface>();

        public List<INetworkInterface> findNetworkNics()
        {
            foreach (INetworkInterface netWorkInterface in NetworkInterface.GetAllNetworkInterfaces())
            {
                networkNics.Add(netWorkInterface);
                if (netWorkInterface is WirelessZeroConfigNetworkInterface)
                {
                    WZCInterface = netWorkInterface as WirelessZeroConfigNetworkInterface;
                    isWzc = true;
                }
            }
            return networkNics;
        }

        public WLAN()
        {
            isWzc = false;
        }


        public bool WZCCompatible()
        {
            return (bool)isWzc;
        }


    }
}
